Update an Attribute
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Directory Attribute ID
Body
UpdateDirectoryAttributeRequestData
If this attribute is being replaced by a new attribute (ex. due to a rename), you can provide a cosmetic map to the new record for easier history and audit discovery
^dratr_[0-9a-hjkmnp-tv-z]{26}$"dratr_01hq8xyzabc123def456ghi789"
Title Case human readable name. Names must be unique within the same directory dimension
63alpha-dash string that is similar to the name or uses shorthand abbreviations. If not set, the name will be converted to alpha-dash format. This is used for generating group names in email addresses or URL paths. Handles must be unique within the same directory dimension
55If the Identity Integration renames this attribute (but no other changes), you can match the new profile_value
255Response
DirectoryAttributeDetailedResponseData
"dratr_01hq8xyzabc123def456ghi789"
The state of the directory attribute
staged, active, expiring, expired, deactivated "active"
The type of the directory attribute
integration, ruleset, catch "integration"
The name of the attribute
"Engineering"
The handle of the attribute
"eng"
If this Attribute is generated from a Blueprint, this is the signature of the blueprint when it is created. This allows tracking of which attributes were created from which blueprint version, while allowing the handle and name to be renamed to a more descriptive name based on business needs
"{blueprint_id_last4}-{dimension_id}-{attribute_id}-{ref_id}"
"bbbb-dddd-aaaa-rrrr"
The raw value of the attribute from the Vendor API
"Engineering"
The timestamps for the attribute record
Counts of related resources
Included related resources.
attribute_successor: DirectoryAttributeSummaryResponseData|null, attribute_predecessors: array|null integration: IntegrationSummaryResponseData|null, directory_dimension: DirectoryDimensionSummaryResponseData|null, policy_ruleset: PolicyRulesetSummaryResponseData|null, policy_rules: array|null, }
1API hyperlinks related to the attribute record